Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.build
[Java] Interface JavaEnvironment

    public interface JavaEnvironment

Informs about the Java environment, for example the Java home or the JVM args used. See example in BuildEnvironment.

Since:
  1.0-milestone-8

Method Summary
`File` | `getJavaHome()` The Java home used for Gradle operations (for example running tasks or acquiring model information).
`List` | `getJvmArguments()` The JVM arguments used to start the Java process that handles Gradle operations (for example running tasks or acquiring model information).

Method Detail

### getJavaHome

    public File getJavaHome()

  The Java home used for Gradle operations (for example running tasks or acquiring model information).

### getJvmArguments

    public List getJvmArguments()

  The JVM arguments used to start the Java process that handles Gradle operations (for example running tasks or acquiring model information). The returned arguments do not include system properties passed as -Dfoo=bar. They may include implicitly immutable system properties like "file.encoding".

Gradle API 1.1-rc-1